package cn.ezhizao.project.business.app.service;

import java.util.List;

import cn.ezhizao.project.business.app.domain.BizApp;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * app管理Service接口
 *
 * @author ezhizao
 * @date 2024-01-24
 */
public interface IBizAppService extends IService<BizApp>
{
    /**
     * 查询app管理列表
     *
     * @param bizApp app管理
     * @return app管理集合
     */
    public List<BizApp> getList(BizApp bizApp);

    /**
     * 物理删除
     * @param bizApp
     * @return 删除结果
     */
    public int physicalDelete(BizApp bizApp);

}
