package cn.ezhizao.project.business.equipment.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * 设备类别对象 biz_equipment_category
 *
 * @author ezhizao
 * @date 2023-11-14
 */
@Data
public class CategoryOptions {
    /** 文本 */
    private String label;

    /** 值 */
    private String value;

    /** 子类别 */
    private List<CategoryOptions> children;
}
