package cn.ezhizao.project.business.outsource.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.outsource.domain.BizOutsourcedOrder;

/**
 * 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子Service接口
 *
 * @author ezhizao
 * @date 2024-05-28
 */
public interface IBizOutsourcedOrderService extends IService<BizOutsourcedOrder>
{
    /**
     * 查询外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子列表
     *
     * @param bizOutsourcedOrder 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子
     * @return 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子集合
     */
    public List<BizOutsourcedOrder> getList(BizOutsourcedOrder bizOutsourcedOrder);

    /**
     * 物理删除
     * @param bizOutsourcedOrder
     * @return 删除结果
     */
    public int physicalDelete(BizOutsourcedOrder bizOutsourcedOrder);

}
