package cn.ezhizao.project.business.product.mapper;


import cn.ezhizao.project.business.product.domain.BizLotTechnologicalProcessDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 工艺修改明细Mapper接口
 *
 * @author ezhizao
 * @date 2024-04-07
 */
public interface BizLotTechnologicalProcessDetailMapper extends BaseMapper<BizLotTechnologicalProcessDetail>
{
    /**
     * 查询工艺修改明细列表
     *
     * @param bizLotTechnologicalProcessDetail 工艺修改明细
     * @return 工艺修改明细集合
     */
    public List<BizLotTechnologicalProcessDetail> getList(BizLotTechnologicalProcessDetail bizLotTechnologicalProcessDetail);

    /**
     * 物理删除
     * @param bizLotTechnologicalProcessDetail
     * @return 删除结果
    */
    public int physicalDelete(BizLotTechnologicalProcessDetail bizLotTechnologicalProcessDetail);
}
