package cn.ezhizao.project.business.product.mapper;

import java.util.List;

import cn.ezhizao.project.business.product.domain.BizProcessInspecion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 序检主Mapper接口
 *
 * @author ezhizao
 * @date 2024-04-24
 */
public interface BizProcessInspecionMapper extends BaseMapper<BizProcessInspecion>
{
    /**
     * 查询序检主列表
     *
     * @param bizProcessInspecion 序检主
     * @return 序检主集合
     */
    public List<BizProcessInspecion> getList(BizProcessInspecion bizProcessInspecion);

    /**
     * 物理删除
     * @param bizProcessInspecion
     * @return 删除结果
    */
    public int physicalDelete(BizProcessInspecion bizProcessInspecion);

    List<BizProcessInspecion> getOutsourcedlist(BizProcessInspecion bizProcessInspecion);
}
