package cn.ezhizao.project.business.product.mapper;

import cn.ezhizao.project.business.product.domain.BizProductionPlanDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * 生产计划明细Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-04
 */
public interface BizProductionPlanDetailMapper extends BaseMapper<BizProductionPlanDetail>
{
    /**
     * 查询生产计划明细列表
     *
     * @param data 生产计划明细
     * @return 生产计划明细集合
     */
    public List<BizProductionPlanDetail> getList(Map<String, Object> data);

    /**
     * 物理删除
     * @param bizProductionPlanDetail
     * @return 删除结果
    */
    public int physicalDelete(BizProductionPlanDetail bizProductionPlanDetail);
    /**
     * 查询生产计划明细列表
     *
     * @param bizProductionPlanDetail 生产计划明细
     * @return 生产计划明细集合
     */

    public List<BizProductionPlanDetail> getInfo(BizProductionPlanDetail bizProductionPlanDetail);
}
