package cn.ezhizao.project.business.product.service;

import cn.ezhizao.project.business.product.domain.BizReturnReceipt;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子Service接口
 *
 * @author ezhizao
 * @date 2024-05-08
 */
public interface IBizReturnReceiptService extends IService<BizReturnReceipt>
{
    /**
     * 查询外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子列表
     *
     * @param bizReturnReceipt 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子
     * @return 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子集合
     */
    public List<BizReturnReceipt> getList(BizReturnReceipt bizReturnReceipt);

    /**
     * 物理删除
     * @param bizReturnReceipt
     * @return 删除结果
     */
    public int physicalDelete(BizReturnReceipt bizReturnReceipt);

}
