package cn.ezhizao.project.business.technologicalProcess.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.technologicalProcess.domain.BizTechnologicalProcess;

/**
 * 工艺主表Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-13
 */
public interface BizTechnologicalProcessMapper extends BaseMapper<BizTechnologicalProcess>
{
    /**
     * 查询工艺主表列表
     *
     * @param bizTechnologicalProcess 工艺主表
     * @return 工艺主表集合
     */
    public List<BizTechnologicalProcess> getList(BizTechnologicalProcess bizTechnologicalProcess);

    /**
     * 物理删除
     * @param bizTechnologicalProcess
     * @return 删除结果
    */
    public int physicalDelete(BizTechnologicalProcess bizTechnologicalProcess);
}
