package cn.ezhizao.project.business.turnover.service.impl;

import cn.ezhizao.project.business.turnover.domain.BizTurnover;
import cn.ezhizao.project.business.turnover.mapper.BizTurnoverMapper;
import cn.ezhizao.project.business.turnover.service.IBizTurnoverService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 设备档案Service业务层处理
 *
 * @author ezhizao
 * @date 2023-11-14
 */
@Service
public class BizTurnoverServiceImpl extends ServiceImpl<BizTurnoverMapper, BizTurnover> implements IBizTurnoverService
{
    @Resource
    private BizTurnoverMapper bizTurnoverMapper;

    /**
     * 物理删除
     * @param bizTurnover
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizTurnover bizTurnover){ return bizTurnoverMapper.physicalDelete(bizTurnover); };

}
