package cn.ezhizao.project.business.inspection.mapper;

import cn.ezhizao.project.business.inspection.domain.BizProductInspectionInstruction;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 产品配置分选标准、检测指导项Mapper接口
 *
 * @author ezhizao
 * @date 2024-04-23
 */
public interface BizProductInspectionInstructionMapper extends BaseMapper<BizProductInspectionInstruction>
{
    /**
     * 查询产品配置分选标准、检测指导项列表
     *
     * @param bizProductInspectionInstruction 产品配置分选标准、检测指导项
     * @return 产品配置分选标准、检测指导项集合
     */
    public List<BizProductInspectionInstruction> getList(BizProductInspectionInstruction bizProductInspectionInstruction);

    /**
     * 物理删除
     * @param bizProductInspectionInstruction
     * @return 删除结果
    */
    public int physicalDelete(BizProductInspectionInstruction bizProductInspectionInstruction);
}
