package cn.ezhizao.project.business.product.service;

import java.util.List;

import cn.ezhizao.project.business.product.domain.BizDayworkItemCollaboration;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * 报工记录协作者Service接口
 *
 * @author ezhizao
 * @date 2024-01-18
 */
public interface IBizDayworkItemCollaborationService extends IService<BizDayworkItemCollaboration>
{
    /**
     * 查询报工记录协作者列表
     *
     * @param bizDayworkItemCollaboration 报工记录协作者
     * @return 报工记录协作者集合
     */
    public List<BizDayworkItemCollaboration> getList(BizDayworkItemCollaboration bizDayworkItemCollaboration);

    /**
     * 物理删除
     * @param bizDayworkItemCollaboration
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkItemCollaboration bizDayworkItemCollaboration);

}
