package cn.ezhizao.project.business.workshop.service;

import cn.ezhizao.project.business.workshop.domain.BizWorkshop;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * 车间管理Service接口
 *
 * @author ezhizao
 * @date 2024-02-22
 */
public interface IBizWorkshopService extends IService<BizWorkshop>
{
    /**
     * 查询车间管理列表
     *
     * @param bizWorkshop 车间管理
     * @return 车间管理集合
     */
    public List<BizWorkshop> getList(BizWorkshop bizWorkshop);

    /**
     * 物理删除
     * @param bizWorkshop
     * @return 删除结果
     */
    public int physicalDelete(BizWorkshop bizWorkshop);

}
